# Method: customers.policies.networks.defineCertificate

- [HTTP request](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineCertificate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineCertificate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineCertificate#body.request_body)
  - [JSON representation](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineCertificate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineCertificate#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineCertificate#body.DefineCertificateResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineCertificate#body.aspect)
- [Try it!](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineCertificate#try-it)

Creates a certificate at a specified OU for a customer.

### HTTP request

`POST https://chromepolicy.googleapis.com/v1/{customer=customers/*}/policies/networks:defineCertificate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. The customer for which the certificate will apply. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "targetResource": string, "ceritificateName": string, "certificate": string, "settings": [ { object (`https://developers.google.com/chrome/policy/reference/rest/v1/NetworkSetting`) } ] } ``` |

| Fields ||
|---|---|
| `targetResource` | `string` Required. The target resource on which this certificate is applied. The following resources are supported: \* Organizational Unit ("orgunits/{orgunit_id}") |
| `ceritificateName` | `string` Optional. The optional name of the certificate. If not specified, the certificate issuer will be used as the name. |
| `certificate` | `string` Required. The raw contents of the .PEM, .CRT, or .CER file. |
| `settings[]` | ``object (`https://developers.google.com/chrome/policy/reference/rest/v1/NetworkSetting`)`` Optional. Certificate settings within the chrome.networks.certificates namespace. |

### Response body

Response object for creating a certificate.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "settings": [ { object (`https://developers.google.com/chrome/policy/reference/rest/v1/NetworkSetting`) } ], "networkId": string, "targetResource": string } ``` |

| Fields ||
|---|---|
| `settings[]` | ``object (`https://developers.google.com/chrome/policy/reference/rest/v1/NetworkSetting`)`` the affiliated settings of the certificate (NOT IMPLEMENTED) |
| `networkId` | `string` The guid of the certificate created by the action. |
| `targetResource` | `string` the resource at which the certificate is defined. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.policy`